import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const slaughterResendOutProvinceRegistrationCodeService =
  createAsyncThunk(
    "SLAUGHTER_RESEND_OUT_PROVINCE_REGISTRATION_CODE",
    async (d, { dispatch }) => {
      dispatch(LOADING_START());
      try {
        const { data, status } = await axios.post(
          "send_again_sms_kill_house_free_sale_bar/",
          d
        );
        dispatch(LOADING_END());
        return { data, status };
      } catch (e) {
        dispatch(LOADING_END());
        return { error: e.response?.data?.result || "خطا در ارسال مجدد کد" };
      }
    }
  );
